//
//  sample2.c
//
// mail send sample using BSendMail2
//
//                  Author Tatsuo Baba

#include <stdio.h>
#include <bsmtp.h>

static void CallBack(struct bsmtp_para *BP)
{
  char body[4096];
  if (BP->calltype == 0) { // before send
      BP->to = BP->current_arg; // set current to
      sprintf(body,"Hello %s\r\n",BP->to);
      strcat(body,"Bye. \r\nRegards,\r\n");
      strcat(body,BP->from);
      strcat(body,"\r\n");
      BP->body = body; // set current body
      return;
  }
  // after send
  if (BP->rc == 0) {
    printf("send error (%s) %s %s\n",BP->msg,BP->to,BP->from);
  } else {
    printf("ok %s %s\n",BP->to,BP->from);
  }
}

int main(int argc,char *argv[])
{
  struct bsmtp_para BP;
  char msg[80],*svr;
  FILE *fp;
  if (argc < 3) {
    printf("invalid arg  usage: sample2 svr addr-file from\n");
    return 1;
  }
  svr = argv[1];
  BP.control_file = argv[2];
  if ((fp = fopen(BP.control_file,"r")) == NULL) {
    printf("cannot open %s\n",BP.control_file);
    return 1;
  }
  fclose(fp);

  BP.CallBack = CallBack;
  BP.to = NULL;
  BP.from = argv[3];
  BP.subject = "test subj";
  BP.body = NULL;
  BP.files = "";
  BP.work = NULL;
  BP.msg = msg;
  BP.rc = 0;
  BP.interval = 0;
  BP.interval_send = 0;
 
  BSendMail2(svr,&BP);

  printf("done. %s\n",BP.rc);
  return 0;
}
