#ifndef __BSMTP_H__
#define __BSMTP_H__

/* 2000.11.15  1.1 add BSenddMail2  for keep connect mode   */

struct bsmtp_para {
  char* to;            /* to address        */
  char* from;          /* from address      */
  char* subject;       /* subject           */
  char* body;          /* body              */
  char* files;         /* attach files      */
  char* msg;           /* message           */
  char* control_file;  /* control file name */
  void (*CallBack)(struct bsmtp_para*);  /* call-back address */
  int interval;        /* interval time for connect */
  int interval_send;   /* send count for once */
  int calltype;        /* 0: before call   1: after call */
  char* current_arg;   /* current aurgument */
  int rc;              /* return code       */
  char* work;          /* work area         */
};

#ifdef __cplusplus
extern "C" {
#endif
int BSendMail(char* ipaddr,	// smtp server ip address
        char* to,	   // TO  split by tab char
        char* from,	  // FROM
        char* subject,// SUBJECT
        char* body,	// BODY
        char* file, // Attach Files  split by tab char
		char* msg );	// 80 bytes length message area

int BSendMail2(char* ipaddr,// smtp ip address
            struct bsmtp_para *para);     // bsmtp para block

#ifdef __cplusplus
  }
#endif

#endif

